Page MenuHomePhabricator

generateSitemaps output is not properly formatted
Closed, ResolvedPublic

Description

generateSitemaps.php outputs an XML "index" file, that provides relative links to the actual maps. The links need to be absolute.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2018, 7:53 PM

Change 456190 had a related patch set uploaded (by Imarlier; owner: Imarlier):
[mediawiki/core@master] sitemaps: absolute URL for sitemaps

https://gerrit.wikimedia.org/r/456190

Change 456190 merged by jenkins-bot:
[mediawiki/core@master] sitemaps: absolute URL for sitemaps

https://gerrit.wikimedia.org/r/456190

T203113 is a follow-on to this, to do some code cleanup.

Imarlier triaged this task as Medium priority.Sep 17 2018, 7:16 PM
Imarlier edited projects, added Performance-Team; removed Performance-Team (Radar).
Imarlier moved this task from Inbox to Doing on the Performance-Team board.
Imarlier closed this task as Resolved.Sep 17 2018, 7:29 PM

Verified that generateSitemap.php is now outputting with fully qualified paths:

<?xml version="1.0" encoding="UTF-8"?>
<sitemapindex xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">
        <sitemap>
                <loc>https://it.wikipedia.org/sitemap-itwiki-NS_0-0.xml.gz</loc>
                <lastmod>2018-09-17T19:23:19Z</lastmod>
        </sitemap>
        <sitemap>
                <loc>https://it.wikipedia.org/sitemap-itwiki-NS_0-1.xml.gz</loc>
                <lastmod>2018-09-17T19:23:19Z</lastmod>
        </sitemap>
        <sitemap>
                <loc>https://it.wikipedia.org/sitemap-itwiki-NS_0-2.xml.gz</loc>
                <lastmod>2018-09-17T19:23:19Z</lastmod>
        </sitemap>